package org.poopki.duckdns.user_db;

import java.util.*;

public class UserInfo extends Status {
    private UUID m_UUID;
    private String m_Name;

    private Map<String, UUID> m_GroupUUID = new HashMap<String, UUID>();
     public UserInfo(UUID uuid, String Name, UUID Nation, UUID Squad, UUID Farm, UUID Party){ //UserInfo 초기화
        super(100,100,1,10,10,10,10); //HP, MP, LEV, STR, DEX, INT, LUK
        m_UUID = uuid;
        m_Name = Name;

        m_GroupUUID.put("Nation", Nation);
        m_GroupUUID.put("Squad", Squad);
        m_GroupUUID.put("Farm", Farm);
        m_GroupUUID.put("Party", Party);
    }

    public void SetGroupUUID(String GroupType, UUID m_UUID){ m_GroupUUID.put(GroupType, m_UUID); }
    public UUID GetGroupUUID(String GroupType){ return m_GroupUUID.get(GroupType); }
    public String getUserName(){
        return m_Name;
    }
    public UUID getUserUUID(){ return m_UUID; }

}
